> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent

> Get the voice agent configuration for a location.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json get /v1/voice/agent
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/voice/agent:
    get:
      tags:
        - Agent
      summary: Get Agent
      description: Get the voice agent configuration for a location.
      parameters:
        - schema:
            type: string
            example: clxyz123
          required: true
          name: location_id
          in: query
      responses:
        '200':
          description: Agent configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentStatus'
      security:
        - bearerAuth: []
components:
  schemas:
    AgentStatus:
      type: object
      properties:
        data:
          type: object
          properties:
            setup_status:
              type: string
              nullable: true
            setup_error:
              type: string
              nullable: true
            agent:
              $ref: '#/components/schemas/Agent'
          required:
            - setup_status
            - setup_error
            - agent
        request_id:
          type: string
      required:
        - data
        - request_id
    Agent:
      type: object
      nullable: true
      properties:
        id:
          type: string
        name:
          type: string
        voice_id:
          type: string
        language:
          type: string
        llm_system_prompt:
          type: string
          nullable: true
        begin_message:
          type: string
          nullable: true
        knowledge_base_text:
          type: string
          nullable: true
        pipeline_type:
          type: string
          nullable: true
        created_at:
          type: string
          nullable: true
          format: date-time
        updated_at:
          type: string
          nullable: true
          format: date-time
      required:
        - id
        - name
        - voice_id
        - language
        - llm_system_prompt
        - begin_message
        - knowledge_base_text
        - pipeline_type
        - created_at
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````